FreeMat

- Main Page
- Related Pages

vtkXMLUnstructuredDataReader

Section: Visualization Toolkit IO Classes

# Usage

vtkXMLUnstructuredDataReader provides functionality common to all unstructured data format readers.

To create an instance of class vtkXMLUnstructuredDataReader, simply invoke its constructor as follows

      obj = vtkXMLUnstructuredDataReader

# Methods

The class vtkXMLUnstructuredDataReader has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkXMLUnstructuredDataReader class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkXMLUnstructuredDataReader = obj.NewInstance ()`
- `vtkXMLUnstructuredDataReader = obj.SafeDownCast (vtkObject o)`
- `vtkIdType = obj.GetNumberOfPoints ()` - Get the number of points in the output.
- `vtkIdType = obj.GetNumberOfCells ()` - Get the number of cells in the output.
- `obj.SetupUpdateExtent (int piece, int numberOfPieces, int ghostLevel)` - Setup the reader as if the given update extent were requested by its output. This can be used after an UpdateInformation to validate GetNumberOfPoints() and GetNumberOfCells() without actually reading data.
- `obj.CopyOutputInformation (vtkInformation outInfo, int port)`